# Uses of Interface
org.jfree.chart3d.marker.ValueMarker

Packages that use ValueMarker
Package
Description
org.jfree.chart3d.axis
Axes (`CategoryAxis3D`, `NumberAxis3D` and `LogAxis3D`) plus supporting classes and interfaces.
org.jfree.chart3d.marker
Provides value and range marker support for the axes on category and XYZ plots.

## Uses of ValueMarker in org.jfree.chart3d.axis

Methods in org.jfree.chart3d.axis that return ValueMarker
Modifier and Type
Method
Description
`ValueMarker`
AbstractValueAxis3D.`getMarker(String key)`
Returns the marker with the specified key, if there is one.
`ValueMarker`
ValueAxis3D.`getMarker(String key)`
Returns the marker with the specified key, if there is one.
Methods in org.jfree.chart3d.axis that return types with arguments of type ValueMarker
Modifier and Type
Method
Description
`Map<String,ValueMarker>`
AbstractValueAxis3D.`getMarkers()`
Returns a new map containing the markers assigned to this axis.
Methods in org.jfree.chart3d.axis with parameters of type ValueMarker
Modifier and Type
Method
Description
`void`
AbstractValueAxis3D.`setMarker(String key, ValueMarker marker)`
Sets the marker for the specified key and sends a change event to all registered listeners.

## Uses of ValueMarker in org.jfree.chart3d.marker

Classes in org.jfree.chart3d.marker that implement ValueMarker
Modifier and Type
Class
Description
`class`
`NumberMarker`
A marker used to mark one value on an axis.
`class`
`RangeMarker`
A marker that marks a range of values on an axis.